{ pkgs ? import <nixpkgs> { } }:

let lua = pkgs.callPackage ./nix/lua.nix { };

in pkgs.mkShell {
  buildInputs = with pkgs;
    with lua53Packages; [
      luarocks-nix
      lua
      busted
      moonscript
    ];

  shellHook = ''
    LUA_PATH="$LUA_PATH;./?.lua;./?/init.lua"
  '';
}
