cqueues = require "cqueues"
socket = require "cqueues.socket"
ln = require "ln"

gemini = require "gemini"

cq = cqueues.new!

class ProxyRequestRefusedHandler
  serve: (ctx, conn) =>
    conn\write "53 Proxy request refused \r\n"
    ln.log ctx, {status: 53}

with gemini.Server cq, ProxyRequestRefusedHandler!
  \listen socket.listen "127.0.0.1", "58816"
  \listen socket.listen
    path: "./var/mipha.sock"
    unlink: true

assert cq\loop!
